import { Component, ViewChild } from '@angular/core';
import {
  TimelineViewsService, AgendaService, GroupModel, EventSettingsModel, ResizeService, DragAndDropService
} from '@syncfusion/ej2-angular-schedule';
import { DataManager, WebApiAdaptor } from '@syncfusion/ej2-data';
import { GridComponent } from '@syncfusion/ej2-angular-grids';

const SERVICE_URI: string = 'https://ej2services.syncfusion.com/production/web-services/';
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  providers: [TimelineViewsService, AgendaService, ResizeService, DragAndDropService]
})
export class AppComponent {
  public data: DataManager;
  public pageSettings: Object;

  @ViewChild('grid', null)
  public grid: GridComponent;

  ngOnInit(): void {
      this.data = new DataManager({ url: SERVICE_URI + 'api/Orders', adaptor: new WebApiAdaptor });
      this.pageSettings = { pageCount: 3 };
  }
 public selectedDate: Date = new Date(2018, 3, 4);
  public group: GroupModel = {
      resources: ['Projects', 'Categories']
  };
  public projectDataSource: Object[] = [
      { text: 'PROJECT 1', id: 1, color: '#cb6bb2' },
      { text: 'PROJECT 2', id: 2, color: '#56ca85' },
      { text: 'PROJECT 3', id: 3, color: '#df5286' }
  ];
  public categoryDataSource: Object[] = [
      { text: 'Nancy', id: 1, groupId: 1, color: '#df5286' },
      { text: 'Steven', id: 2, groupId: 1, color: '#7fa900' },
      { text: 'Robert', id: 3, groupId: 2, color: '#ea7a57' },
      { text: 'Smith', id: 4, groupId: 2, color: '#5978ee' },
      { text: 'Micheal', id: 5, groupId: 3, color: '#df5286' },
      { text: 'Root', id: 6, groupId: 3, color: '#00bdae' }
  ];
  public allowMultiple: Boolean = true;
}
